Intermittent browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored - Got null, expected example.org

ASSIGNED
Assigned to

Status

()

Firefox
Session Restore
P3
normal
ASSIGNED
6 months ago
3 months ago

People

(Reporter: aryx, Assigned: WillWang)

Tracking

({intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

https://treeherder.mozilla.org/logviewer.html#?job_id=114291608&repo=autoland

02:39:24     INFO - running 
02:39:24     INFO - Buffered messages logged at 02:39:24
02:39:24     INFO - running 
02:39:24     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | No history entries still sets currentURI to about:blank - 
02:39:24     INFO - Buffered messages finished
02:39:24     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored - Got null, expected example.org
02:39:24     INFO - Stack trace:
02:39:24     INFO - chrome://mochikit/content/browser-test.js:test_is:967
02:39:24     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js:test/test_newTabNotFocused/<:77
02:39:24     INFO - chrome://mochikit/content/browser-test.js:run:996
02:39:24     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | We still know that no load is ongoing - 
02:39:24     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly restored - 
02:39:24     INFO - Not taking screenshot here: see the one that was previously logged
02:39:24     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly updated - Got , expected example.org
02:39:24     INFO - Stack trace:
02:39:24     INFO - chrome://mochikit/content/browser-test.js:test_is:967
02:39:24     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js:test/test_newTabNotFocused/<:92
02:39:24     INFO - chrome://mochikit/content/browser-test.js:run:996

Comment 1

6 months ago
5 failures in 720 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* try: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows7-32: 2
* osx-10-10: 2
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 2

6 months ago
11 failures in 822 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 6
* autoland: 3
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 6
* windows7-32: 3
* windows8-64: 1
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 3

6 months ago
30 failures in 1008 pushes (0.03 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 13
* mozilla-inbound: 8
* mozilla-beta: 7
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 22
* windows7-32-vm: 4
* osx-10-10: 3
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 4

5 months ago
43 failures in 888 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #36 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 19
* mozilla-inbound: 15
* mozilla-beta: 5
* mozilla-release: 2
* mozilla-central: 2

Platform breakdown:
* windows7-32: 37
* osx-10-10: 4
* windows8-64-devedition: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 5

5 months ago
19 failures in 901 pushes (0.021 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 7
* autoland: 5
* mozilla-release: 4
* mozilla-inbound: 3

Platform breakdown:
* windows7-32: 9
* windows8-64: 5
* windows7-32-vm: 2
* windows8-64-devedition: 1
* osx-10-10: 1
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 6

5 months ago
32 failures in 949 pushes (0.034 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-release: 9
* mozilla-beta: 6
* mozilla-inbound: 5
* mozilla-central: 5
* autoland: 5
* try: 2

Platform breakdown:
* windows8-64: 16
* windows7-32: 8
* windows7-32-vm: 3
* osx-10-10: 2
* windows8-64-devedition: 1
* windows10-64-nightly: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 7

5 months ago
15 failures in 129 pushes (0.116 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 3
* mozilla-central: 3
* mozilla-release: 2
* mozilla-beta: 2

Platform breakdown:
* windows8-64: 9
* windows7-32: 3
* windows7-32-stylo: 1
* windows7-32-nightly: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-08-21&endday=2017-08-21&tree=all
this is failing across all trees, on trunk this is primarily pgo for windows8 with a few other failures mixed in:)

here is a recent win8-pgo log:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=124860252&lineNumber=4479

and the related screenshot:
http://mozilla-releng-blobs.s3.amazonaws.com/blobs/autoland/sha512/63a3c36cd216c3d760cb42d5278722701d3c8139a910895c62d567c808f1f223cd40951c2ceba1b55eaf49d732680c6c458019908dec9236dcc812b78309aeac

here is data from the above log showing a failure:
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | No history entries still sets currentURI to about:blank - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | We still know that no load is ongoing - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly restored - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly updated - 
05:33:50     INFO - Buffered messages logged at 05:33:50
05:33:50     INFO - running 
05:33:50     INFO - running 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | No history entries still sets currentURI to about:blank - 
05:33:50     INFO - Buffered messages finished
05:33:50     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored - Got null, expected example.org
05:33:50     INFO - Stack trace:
05:33:50     INFO - chrome://mochikit/content/browser-test.js:test_is:1000
05:33:50     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js:test/test_newTabNotFocused/<:77
05:33:50     INFO - chrome://mochikit/content/browser-test.js:run:1029
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | We still know that no load is ongoing - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly restored - 
05:33:50     INFO - Not taking screenshot here: see the one that was previously logged
05:33:50     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly updated - Got , expected example.org
05:33:50     INFO - Stack trace:
05:33:50     INFO - chrome://mochikit/content/browser-test.js:test_is:1000
05:33:50     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js:test/test_newTabNotFocused/<:92
05:33:50     INFO - chrome://mochikit/content/browser-test.js:run:1029
05:33:50     INFO - running 
05:33:50     INFO - running 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | browser.currentURI set to current entry in SH - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | userTypedValue was correctly restored - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | We still know that no load is ongoing - 
05:33:50     INFO - TEST-PASS | browser/components/sessionstore/test/browser_522545.js | Address bar's value correctly restored to userTypedValue - 
05:33:50     INFO - running 

:mikedeboer- is this something you can look into or help find someone who has expertise and some time in the next couple weeks?
Flags: needinfo?(mdeboer)
Whiteboard: [stockwell needswork]

Comment 9

5 months ago
46 failures in 908 pushes (0.051 failures/push) were associated with this bug in the last 7 days. 

This is the #49 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 13
* mozilla-inbound: 11
* mozilla-beta: 10
* mozilla-release: 5
* mozilla-central: 4
* try: 3

Platform breakdown:
* windows8-64: 26
* windows7-32: 10
* windows7-32-nightly: 3
* osx-10-10: 3
* windows7-32-stylo: 2
* windows7-32-vm: 1
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-08-21&endday=2017-08-27&tree=all
Hmm, perhaps Quan is interested in taking a look and learn about investigating these kind of failures?
Flags: needinfo?(mdeboer) → needinfo?(nnn_bikiu0707)

Comment 11

5 months ago
48 failures in 939 pushes (0.051 failures/push) were associated with this bug in the last 7 days. 

This is the #47 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* try: 17
* autoland: 11
* mozilla-inbound: 8
* mozilla-central: 6
* mozilla-beta: 6

Platform breakdown:
* windows7-32: 23
* windows8-64: 6
* osx-10-10: 5
* windows7-32-stylo: 4
* linux64-stylo: 3
* windows7-32-nightly: 2
* linux32: 2
* macosx64-nightly: 1
* linux64: 1
* linux32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 12

4 months ago
16 failures in 173 pushes (0.092 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* try: 14
* mozilla-inbound: 1
* mozilla-beta: 1

Platform breakdown:
* windows8-64: 3
* linux64-stylo-disabled: 3
* linux64: 2
* linux32-stylo-disabled: 2
* windows7-32: 1
* windows10-64-nightly: 1
* windows10-64: 1
* osx-10-10: 1
* macosx64-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-07&endday=2017-09-07&tree=all

Comment 13

4 months ago
58 failures in 924 pushes (0.063 failures/push) were associated with this bug in the last 7 days. 

This is the #41 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* try: 45
* autoland: 7
* mozilla-beta: 5
* mozilla-inbound: 1

Platform breakdown:
* windows8-64: 16
* windows7-32: 8
* osx-10-10: 6
* linux64-stylo-disabled: 5
* macosx64-stylo-disabled: 4
* windows7-32-stylo-disabled: 3
* windows10-64: 3
* linux64: 3
* linux32: 3
* windows7-32-stylo: 2
* linux32-stylo-disabled: 2
* windows7-32-nightly: 1
* windows10-64-nightly: 1
* windows10-64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-04&endday=2017-09-10&tree=all
FWIW, this is frequent enough on my 57-as-Beta uplift simulations that I'll probably end up skipping the tests after 57 is uplifted to Beta.

Comment 15

4 months ago
19 failures in 247 pushes (0.077 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* try: 14
* mozilla-beta: 3
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows8-64: 7
* windows7-32-stylo-disabled: 3
* windows7-32: 2
* osx-10-10: 2
* linux32-stylo-disabled: 2
* windows10-64-stylo-disabled: 1
* macosx64-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-13&endday=2017-09-13&tree=all

Comment 16

4 months ago
5 failures in 191 pushes (0.026 failures/push) were associated with this bug yesterday.    

** This test has failed more than 200 times in the last 30 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* try: 3
* mozilla-beta: 2

Platform breakdown:
* windows8-64: 2
* windows7-32: 2
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-14&endday=2017-09-14&tree=all
Whiteboard: [stockwell needswork] → [stockwell disable-recommended]
Will, do you have time to take a look, perhaps?
Flags: needinfo?(nnn_bikiu0707) → needinfo?(wiwang)
Priority: -- → P1
(Assignee)

Comment 18

4 months ago
Mike, got it, I will check the failure these days and give a brief result first.
Flags: needinfo?(wiwang)
Thanks much! I'm tentatively assigning this to you, so that it'll stay on your radar.
Assignee: nobody → wiwang
Status: NEW → ASSIGNED

Comment 20

4 months ago
47 failures in 1032 pushes (0.046 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* try: 23
* mozilla-beta: 16
* autoland: 4
* mozilla-release: 2
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows8-64: 13
* osx-10-10: 8
* windows7-32-stylo-disabled: 6
* windows7-32: 6
* linux32-stylo-disabled: 6
* linux64: 2
* windows10-64-stylo-disabled: 1
* macosx64-stylo-disabled: 1
* macosx64-nightly: 1
* linux64-stylo-disabled: 1
* linux64-nightly: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-11&endday=2017-09-17&tree=all
disabled:
https://hg.mozilla.org/integration/mozilla-inbound/rev/79bdf2f715e430cd3293254e298ceb803bf4efa5

wiwang@mozilla.com, when fixing this, please remember to enable this test in the manifest file.
Flags: needinfo?(wiwang)
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Priority: P1 → P3

Comment 23

4 months ago
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/bc29851e53ad
Fix broken syntax from the previous attempt at disabling. r=me

Comment 25

4 months ago
24 failures in 199 pushes (0.121 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-beta: 20
* autoland: 4

Platform breakdown:
* windows7-32: 5
* windows10-64: 4
* windows7-32-stylo-disabled: 3
* osx-10-10: 2
* macosx64-stylo-disabled: 2
* macosx64-nightly: 2
* linux64: 2
* linux32: 2
* windows8-64: 1
* windows7-32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-21&endday=2017-09-21&tree=all

Comment 26

4 months ago
37 failures in 943 pushes (0.039 failures/push) were associated with this bug in the last 7 days. 

This is the #47 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-beta: 25
* autoland: 7
* mozilla-release: 4
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 12
* windows10-64: 5
* macosx64-nightly: 4
* windows8-64: 3
* windows7-32-stylo-disabled: 3
* osx-10-10: 3
* linux32: 3
* linux64: 2
* windows7-32-nightly: 1
* macosx64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-09-18&endday=2017-09-24&tree=all
Flags: needinfo?(wiwang)

Comment 27

3 months ago
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1380968&startday=2017-10-23&endday=2017-10-29&tree=all
You need to log in before you can comment on or make changes to this bug.